POST V1/ProAdminPaymentsMaster.{ext}/VendorBankDetails?remitCode={remitCode}&status={status}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
remitCode

No description available

string

Required

status

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.ManageAccountsEntity
NameDescriptionTypeAdditional information
AcctNbr

No description available

string

None.

SiteNbr

No description available

string

None.

Product

No description available

string

None.

ClientName

No description available

string

None.

VendorName

No description available

string

None.

PaymentMethod

No description available

string

None.

PaymentMethodName

No description available

string

None.

BillingCycle

No description available

string

None.

PayeeVendorName

No description available

string

None.

AccountSummary

No description available

string

None.

VndrABARoutingNbr

No description available

string

None.

DeliveryMethod

No description available

string

None.

VendorRmtAcctNbr

No description available

string

None.

RemittanceCode

No description available

string

None.

ACHRemittanceCode

No description available

string

None.

SUCCRemittanceCode

No description available

string

None.

VendorBankName

No description available

string

None.

Comments

No description available

string

None.

PaymentCurrency

No description available

string

None.

NACHAPymtFormat

No description available

string

None.

CarrierName

No description available

string

None.

CarrierAcctNo

No description available

string

None.

Attribute

No description available

string

None.

Status

No description available

string

None.

DueDate

No description available

string

None.

WebUrl

No description available

string

None.

WebUserName

No description available

string

None.

WebPassword

No description available

string

None.

FSName

No description available

string

None.

AcctFlag

No description available

integer

None.

NRGRemittanceCode

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "acctNbr": "sample string 1",
  "siteNbr": "sample string 2",
  "product": "sample string 3",
  "clientName": "sample string 4",
  "vendorName": "sample string 5",
  "paymentMethod": "sample string 6",
  "paymentMethodName": "sample string 7",
  "billingCycle": "sample string 8",
  "payeeVendorName": "sample string 9",
  "accountSummary": "sample string 10",
  "vndrABARoutingNbr": "sample string 11",
  "deliveryMethod": "sample string 12",
  "vendorRmtAcctNbr": "sample string 13",
  "remittanceCode": "sample string 14",
  "achRemittanceCode": "sample string 15",
  "succRemittanceCode": "sample string 16",
  "vendorBankName": "sample string 17",
  "comments": "sample string 18",
  "paymentCurrency": "sample string 19",
  "nachaPymtFormat": "sample string 20",
  "carrierName": "sample string 21",
  "carrierAcctNo": "sample string 22",
  "attribute": "sample string 23",
  "status": "sample string 24",
  "dueDate": "sample string 25",
  "webUrl": "sample string 26",
  "webUserName": "sample string 27",
  "webPassword": "sample string 28",
  "fsName": "sample string 29",
  "acctFlag": 30,
  "nrgRemittanceCode": "sample string 31"
}

application/xml, text/xml

Sample:
<ManageAccountsEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <ACHRemittanceCode>sample string 15</ACHRemittanceCode>
  <AccountSummary>sample string 10</AccountSummary>
  <AcctFlag>30</AcctFlag>
  <AcctNbr>sample string 1</AcctNbr>
  <Attribute>sample string 23</Attribute>
  <BillingCycle>sample string 8</BillingCycle>
  <CarrierAcctNo>sample string 22</CarrierAcctNo>
  <CarrierName>sample string 21</CarrierName>
  <ClientName>sample string 4</ClientName>
  <Comments>sample string 18</Comments>
  <DeliveryMethod>sample string 12</DeliveryMethod>
  <DueDate>sample string 25</DueDate>
  <FSName>sample string 29</FSName>
  <NACHAPymtFormat>sample string 20</NACHAPymtFormat>
  <NRGRemittanceCode>sample string 31</NRGRemittanceCode>
  <PayeeVendorName>sample string 9</PayeeVendorName>
  <PaymentCurrency>sample string 19</PaymentCurrency>
  <PaymentMethod>sample string 6</PaymentMethod>
  <PaymentMethodName>sample string 7</PaymentMethodName>
  <Product>sample string 3</Product>
  <RemittanceCode>sample string 14</RemittanceCode>
  <SUCCRemittanceCode>sample string 16</SUCCRemittanceCode>
  <SiteNbr>sample string 2</SiteNbr>
  <Status>sample string 24</Status>
  <VendorBankName>sample string 17</VendorBankName>
  <VendorName>sample string 5</VendorName>
  <VendorRmtAcctNbr>sample string 13</VendorRmtAcctNbr>
  <VndrABARoutingNbr>sample string 11</VndrABARoutingNbr>
  <WebPassword>sample string 28</WebPassword>
  <WebUrl>sample string 26</WebUrl>
  <WebUserName>sample string 27</WebUserName>
</ManageAccountsEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.